#include "IstreamTest.h"
#include <alib/set>
#include <alib/vector>
#include <alib/pair>
#include <sstream>
#include <alib/istream>
#include <alib/string>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( IstreamTest, "bits" );
CPPUNIT_TEST_SUITE_REGISTRATION( IstreamTest );

void IstreamTest::setUp() {
}

void IstreamTest::tearDown() {
}

void IstreamTest::testIstream() {
	std::stringstream ss ( "TEST" );

	CPPUNIT_ASSERT ( ( ( bool ) ( ss >> ext::string ( "TEST" ) ) ) == true );

	ss.str ( "TEST" );

	CPPUNIT_ASSERT ( ( ( bool ) ( ss >> ext::string ( "TESS" ) ) ) == false );
	CPPUNIT_ASSERT ( ss.str ( ) == "TEST" );


	CPPUNIT_ASSERT ( ( ( bool ) ( ss >> ext::string ( "TESTS" ) ) ) == false );
	CPPUNIT_ASSERT ( ss.str ( ) == "TEST" );
}

