#ifndef ITERATOR_TEST_H_
#define ITERATOR_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class IteratorTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( IteratorTest );
  CPPUNIT_TEST( testIterator );
  CPPUNIT_TEST( testReverser );
  CPPUNIT_TEST( testCallbackIterator );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testIterator();
  void testReverser();
  void testCallbackIterator();
};

#endif  // ITERATOR_TEST_H_
