#include "ManagedValueTest.h"
#include <exception>

#include <alib/managed_value>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION ( ManagedValueTest, "bits" );
CPPUNIT_TEST_SUITE_REGISTRATION ( ManagedValueTest );

void ManagedValueTest::setUp ( ) {
}

void ManagedValueTest::tearDown ( ) {
}

void ManagedValueTest::testBasics ( ) {
	ext::managed_value < int > number ( 1 );
	number.addChangeCallback ( [ ] ( const int & value ) { if ( value >= 10 ) throw value; } );
	CPPUNIT_ASSERT_NO_THROW ( number = 2 );
	CPPUNIT_ASSERT_THROW ( number = 10, int );

	
}
